/**
 * ActClass2.java
 *
 * File generated from the medication2::ActClass2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClass2.
 *
 * 
 */

@XmlType(name = "ActClass")
@XmlEnum
@XmlRootElement(name = "ActClass2")
public enum ActClass2 {
	@XmlEnumValue("ACT")
	ACT("ACT"),
	@XmlEnumValue("ACCM")
	ACCM("ACCM"),
	@XmlEnumValue("ACCT")
	ACCT("ACCT"),
	@XmlEnumValue("ACSN")
	ACSN("ACSN"),
	@XmlEnumValue("ADJUD")
	ADJUD("ADJUD"),
	@XmlEnumValue("CONS")
	CONS("CONS"),
	@XmlEnumValue("CONTREG")
	CONTREG("CONTREG"),
	@XmlEnumValue("CTTEVENT")
	CTTEVENT("CTTEVENT"),
	@XmlEnumValue("DISPACT")
	DISPACT("DISPACT"),
	@XmlEnumValue("ENC")
	ENC("ENC"),
	@XmlEnumValue("INC")
	INC("INC"),
	@XmlEnumValue("INFRM")
	INFRM("INFRM"),
	@XmlEnumValue("INVE")
	INVE("INVE"),
	@XmlEnumValue("LIST")
	LIST("LIST"),
	@XmlEnumValue("MPROT")
	MPROT("MPROT"),
	@XmlEnumValue("PCPR")
	PCPR("PCPR"),
	@XmlEnumValue("PROC")
	PROC("PROC"),
	@XmlEnumValue("REG")
	REG("REG"),
	@XmlEnumValue("REV")
	REV("REV"),
	@XmlEnumValue("SBADM")
	SBADM("SBADM"),
	@XmlEnumValue("SPCTRT")
	SPCTRT("SPCTRT"),
	@XmlEnumValue("SUBST")
	SUBST("SUBST"),
	@XmlEnumValue("TRNS")
	TRNS("TRNS"),
	@XmlEnumValue("VERIF")
	VERIF("VERIF"),
	@XmlEnumValue("XACT")
	XACT("XACT"),
	@XmlEnumValue("CNTRCT")
	CNTRCT("CNTRCT"),
	@XmlEnumValue("FCNTRCT")
	FCNTRCT("FCNTRCT"),
	@XmlEnumValue("COV")
	COV("COV"),
	@XmlEnumValue("CACT")
	CACT("CACT"),
	@XmlEnumValue("ACTN")
	ACTN("ACTN"),
	@XmlEnumValue("INFO")
	INFO("INFO"),
	@XmlEnumValue("STC")
	STC("STC"),
	@XmlEnumValue("OBS")
	OBS("OBS"),
	@XmlEnumValue("ALRT")
	ALRT("ALRT"),
	@XmlEnumValue("CLNTRL")
	CLNTRL("CLNTRL"),
	@XmlEnumValue("CNOD")
	CNOD("CNOD"),
	@XmlEnumValue("DGIMG")
	DGIMG("DGIMG"),
	@XmlEnumValue("INVSTG")
	INVSTG("INVSTG"),
	@XmlEnumValue("SPCOBS")
	SPCOBS("SPCOBS"),
	@XmlEnumValue("COND")
	COND("COND"),
	@XmlEnumValue("CASE")
	CASE("CASE"),
	@XmlEnumValue("OUTB")
	OUTB("OUTB"),
	@XmlEnumValue("OBSSER")
	OBSSER("OBSSER"),
	@XmlEnumValue("OBSCOR")
	OBSCOR("OBSCOR"),
	@XmlEnumValue("ROIBND")
	ROIBND("ROIBND"),
	@XmlEnumValue("ROIOVL")
	ROIOVL("ROIOVL"),
	@XmlEnumValue("SPLY")
	SPLY("SPLY"),
	@XmlEnumValue("DIET")
	DIET("DIET"),
	@XmlEnumValue("FOLDER")
	FOLDER("FOLDER"),
	@XmlEnumValue("COMPOSITION")
	COMPOSITION("COMPOSITION"),
	@XmlEnumValue("DOC")
	DOC("DOC"),
	@XmlEnumValue("DOCCLIN")
	DOCCLIN("DOCCLIN"),
	@XmlEnumValue("CDALVLONE")
	CDALVLONE("CDALVLONE"),
	@XmlEnumValue("ENTRY")
	ENTRY("ENTRY"),
	@XmlEnumValue("BATTERY")
	BATTERY("BATTERY"),
	@XmlEnumValue("CLUSTER")
	CLUSTER("CLUSTER"),
	@XmlEnumValue("EXTRACT")
	EXTRACT("EXTRACT"),
	@XmlEnumValue("EHR")
	EHR("EHR"),
	@XmlEnumValue("ORGANIZER")
	ORGANIZER("ORGANIZER"),
	@XmlEnumValue("CATEGORY")
	CATEGORY("CATEGORY"),
	@XmlEnumValue("DOCBODY")
	DOCBODY("DOCBODY"),
	@XmlEnumValue("DOCSECT")
	DOCSECT("DOCSECT"),
	@XmlEnumValue("TOPIC")
	TOPIC("TOPIC");
	
	private final String value;

    ActClass2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClass2 fromValue(String v) {
        for (ActClass2 c: ActClass2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
